Subject: Re: bug#4596: file completion in *shell*

From: Glenn Morris <[email-masked]>
Date: Tue, 06 Oct 2009 03:15:01 -0400

tags 4596 moreinfo
stop

"A. Soare" wrote:

> I have a shell opened , and even if I am in the directory /x/y/z,
> when I press <TAB>, it expands the completion from the directory
> "X", not from Z, as expected.

Emacs tries to keep track of which directory you are in, but it is
straightforward to confuse it. Eg:

emacs -Q -f shell
cd ~
alias foobar=cd
foobar /tmp

and Emacs will still think you are in ~/.

So we need to know what you did starting from emacs -Q to confuse it,
before we can say if it is something that can reasonably be fixed.